Download it now!
Bug 131060 - FILEOPEN DOCX Column chart X axis labels are truncated
Summary: FILEOPEN DOCX Column chart X axis labels are truncated
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.4....
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-03-02 08:22 UTC by NISZ LibreOffice Team
Modified: 2020-04-09 13:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer. (24.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-03-02 08:23 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer. (65.10 KB, image/png)
2020-03-02 08:23 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-03-02 08:22:55 UTC
Description:
The X axis labels are truncated of the Column chart or if we create a new chart with negative values and long axis labels, and we resize the inner area, X axis labels are truncated.

Steps to Reproduce:
    1. Open the attached docx file
    2. X axis labels are truncated.

Actual Results:
The X axis labels are partially disappeared.

Expected Results:
The X axis labels should not be partially disappeared, if we have enough space under the X axis.


Reproducible: Always


User Profile Reset: No



Additional Info:
Verzió: 6.3.4.2.0+ (x64)
Build az.: 7a004aed51c04b7575097388ae2246c98df2c9e6
CPU szálak: 4; OS: Windows 10.0; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc:
Comment 1 NISZ LibreOffice Team 2020-03-02 08:23:36 UTC
Created attachment 158295 [details]
Example file from Writer.
Comment 2 NISZ LibreOffice Team 2020-03-02 08:23:57 UTC
Created attachment 158296 [details]
Screenshot of the problem in Writer.
Comment 3 Balázs Varga 2020-03-02 08:35:08 UTC
Confirmed in:

Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-GB (hu_HU); UI-Language: en-GB
Calc:
Comment 4 Xisco Faulí 2020-03-02 12:45:39 UTC
Just for the record, this is a regression from https://cgit.freedesktop.org/libreoffice/core/commit/?id=26caf1bc59c81704f11225e3e431e412deb8c475
Comment 5 Commit Notification 2020-03-09 10:57:59 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c300296dd727990455449b19b111b9fc49eadad

tdf#131060 tdf#117088 chart view: fix missing or truncated axis labels

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-03-10 09:30:24 UTC
Verifeid in

Version: 7.0.0.0.alpha0+
Build ID: a11c10a83f6fceae6cfb519725d06f8eaf1013fb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Balazs Varga, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-03-10 10:39:31 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f10cbeffba8dc52b971bc3f6644eb0cf4bbeb5eb

tdf#131060 tdf#117088 chart view: fix missing or truncated axis labels

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-03-11 15:50:12 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-2":

https://git.libreoffice.org/core/commit/9253ca68a84130ee3707129fcd25ca3c8262f680

tdf#131060 tdf#117088 chart view: fix missing or truncated axis labels

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-04-09 13:54:22 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/64b15237ab2355a18bb729adaaaa27bc31ad13da

tdf#131060 tdf#117088 chart view: fix missing or truncated axis labels

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.